getSupplierInteraction
READGet supplier interaction.
POST /api/v1/purchasing/getSupplierInteraction
curl -X POST '<your-host>/api/v1/purchasing/getSupplierInteraction' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"opportunityId": "string"
}'Response
{
"id": "string",
"companyId": "string",
"purchasingRfq": {
"id": "string",
"rfqId": "string",
"status": "string"
},
"supplierQuotes": [
{
"…": "…"
}
],
"purchaseOrders": [
{
"…": "…"
}
],
"purchaseInvoices": [
{
"…": "…"
}
]
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"opportunityId": {
"type": [
"string",
"null"
]
}
},
"required": [
"opportunityId"
]
}